<?php
/* **************************************************************************** *

 * FileHandler.inc.php
 * @package	Core
 * @copyright:	Copyright (c) 2008 Martin Novák. All rights reserved
 * @license	GNU/AGPL http://www.gnu.org/licenses/agpl.html

 * Albireo is free software! You can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *	GNU Affero General Public License for more details.

 This script description:
 This Class gives tools for files handling.

 Properties:
    none

 Public Methods:
    none

 * **************************************************************************** */

class FileHandler {
    public static function validateFileName ( $file_name ) {
        $bad_chars = array ( " ", "<", ">", "$", "^", "#", "@", "*", "\\", "(", ")", "%", "&", "?", ";", ",", "\'", "`", "\"", "á", "Á", "ä", "Ä", "č", "Č", "ď", "Ď", "é", "É", "ě", "ë", "Ě", "í", "ï", "Í", "ĺ", "Ĺ", "ľ", "Ľ", "ň", "Ň", "ó", "Ó", "ö", "ô", "ŕ", "Ŕ", "ř", "Ř", "š", "Š", "ť", "Ť", "ú", "Ú", "ů", "ü", "Ů", "ý", "Ý", "ž", "Ž" );
        $asci_chars = array ( "-", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "a", "a", "a", "a", "c", "c", "d", "d", "e", "e", "e", "e", "e", "i", "i", "i", "l", "l", "l", "l", "n", "n", "o", "o", "o", "o", "r", "r", "r", "r", "s", "s", "t", "t", "u", "u", "u", "u", "u", "y", "y", "z", "z" );
        $file = str_replace ( $bad_chars, $asci_chars, trim ( $file_name ) );
        return urlencode ( $file );
    }
}
?>